# Class MarketPricesReply

#### Hierarchy

- unknown
  - MarketPricesReply

- Defined in src/protobuf/grpc_pb.d.ts:2192
- Defined in src/protobuf/grpc_pb.d.ts:2206

#####
Index

### Constructors

constructor

### Methods

addMarketPrice
clearMarketPriceList
getMarketPriceList
serializeBinary
setMarketPriceList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MarketPricesReply(): MarketPricesReply

- #### Returns MarketPricesReply

  Inherited from jspb.Message.constructor

## Methods

### addMarketPrice

- addMarketPrice(value?: MarketPriceInfo, index?: number): MarketPriceInfo

- #### Parameters

  - ##### `Optional` value: MarketPriceInfo

  - ##### `Optional` index: number

  #### Returns MarketPriceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2196

### clearMarketPriceList

- clearMarketPriceList(): MarketPricesReply

- #### Returns MarketPricesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2195

### getMarketPriceList

- getMarketPriceList(): MarketPriceInfo[]

- #### Returns MarketPriceInfo[]

  - Defined in src/protobuf/grpc_pb.d.ts:2193

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2198

### setMarketPriceList

- setMarketPriceList(value: MarketPriceInfo[]): MarketPricesReply

- #### Parameters

  - ##### value: MarketPriceInfo[]

  #### Returns MarketPricesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2194

### toObject

- toObject(includeInstance?: boolean): MarketPricesReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MarketPricesReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2199

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketPricesReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketPricesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2202

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketPricesReply, reader: BinaryReader): MarketPricesReply

- #### Parameters

  - ##### message: MarketPricesReply

  - ##### reader: BinaryReader

  #### Returns MarketPricesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2203

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketPricesReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MarketPricesReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2201

### `Static` toObject

- toObject(includeInstance: boolean, msg: MarketPricesReply): MarketPricesReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketPricesReply

  #### Returns MarketPricesReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2200

Generated using TypeDoc